diff -r 64989aaf12b1 -r c202b7ee7991 libgui/languages/de_DE.ts
--- a/libgui/languages/de_DE.ts	Sat Mar 31 18:52:50 2018 +0200
+++ b/libgui/languages/de_DE.ts	Sat Mar 31 13:27:59 2018 +0200
@@ -1017,50 +1016,50 @@
   %1
 
 is about to be closed but has been modified.  %2</source>
-        <translation type="unfinished">Die Datei
+        <translation>Die Datei
 
-   %1
+  %1
 
 soll geschlossen werden, wurde aber modifiziert.  %2</translation>
     </message>
     <message>
         <location line="+295"/>
         <source>Debug or Save</source>
-        <translation type="unfinished">Debug oder Speichern</translation>
+        <translation>Debug oder Speichern</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>This file is currently being executed.
 Quit debugging and save?</source>
-        <translation type="unfinished">Diese Datei wird momentan ausgeführt.
+        <translation>Diese Datei wird momentan ausgeführt.
 Debuggen abbrechen und speichern?</translation>
     </message>
     <message>
         <location line="+75"/>
         <source>Could not open file %1 for write:
 %2.</source>
-        <translation type="unfinished">Die Datei %1 konnte nicht zum Schreiben geöffnet werden:
+        <translation>Die Datei %1 konnte nicht zum Schreiben geöffnet werden:
 %2.</translation>
     </message>
     <message>
         <location line="+92"/>
         <source>Line Endings:</source>
-        <translation type="unfinished">Zeilenenden:</translation>
+        <translation>Zeilenenden:</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>File Encoding:</source>
-        <translation type="unfinished">Zeichenkodierung:</translation>
+        <translation>Zeichenkodierung:</translation>
     </message>
     <message>
         <location line="+28"/>
         <source>Octave Files (*.m)</source>
-        <translation type="unfinished">Octave Dateien (*.m)</translation>
+        <translation>Octave Dateien (*.m)</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>All Files (*)</source>
-        <translation type="unfinished">Alle Dateien (*)</translation>
+        <translation>Alle Dateien (*)</translation>
     </message>
     <message>
         <location line="+80"/>
@@ -1071,55 +1070,58 @@
 call your script using its name as an Octave command.
 
 Do you want to choose another name?</source>
-        <translation type="unfinished">&quot;%1&quot;
+        <translation>&quot;%1&quot;
 ist kein gültiger Name.
 
-Mit diesem Dateinamen kann das Skript nicht als 
+Mit diesem Dateinamen kann das Skript nicht als
 Octave-Befehl aufgerufen werden.
 
-Einen anderen Namen wählen?
-</translation>
+Einen anderen Namen wählen?</translation>
     </message>
     <message>
         <location line="+20"/>
-        <source>The current codec %1
+        <source>The current encoding %1
 can not be applied.
 
 Please select another one or cancel saving!</source>
-        <translation type="unfinished"></translation>
+        <translation>Die ausgewählte Zeichenkodierung %1
+kann nicht angewandt werden.
+
+Wählen Sie eine andere Kodierung oder brechen Sie das Speichern ab!</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>The current editor contents can not be encoded
-with the selected codec %1.
+with the selected encoding %1.
 Using it will result in data loss!
 
-Do you want to chose another codec?</source>
-        <translation type="unfinished">Der Text kann mit der gewählten
+Do you want to chose another encoding?</source>
+        <translation>Der Text kann mit der gewählten
 Zeichenkodierung %1 nicht ohne Datenverlust
 gespeichert werden!
 
-Andere Zeichenkodierung wählen?
-</translation>
+Andere Zeichenkodierung wählen?</translation>
     </message>
     <message>
         <location line="+85"/>
         <source>It seems that &apos;%1&apos; has been modified by another application. Do you want to reload it?</source>
-        <translation type="unfinished">Die Datei &apos;%1&apos; wurde von einer anderen Anwendung verändert. Soll der neue Inhalt geladen werden?</translation>
+        <translation>Die Datei &apos;%1&apos; wurde von einer anderen Anwendung verändert. Soll der neue Inhalt geladen werden?</translation>
     </message>
     <message>
         <location line="+29"/>
         <source>
 
 Warning: The contents in the editor is modified!</source>
-        <translation type="unfinished">Achtung: Der Inhalt des Editors wurde verändert!</translation>
+        <translation>
+
+Achtung: Der Inhalt des Editors wurde verändert!</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>It seems that the file
 %1
 has been deleted or renamed. Do you want to save it now?%2</source>
-        <translation type="unfinished">Die Datei
+        <translation>Die Datei
 %1
 wurde gelöscht oder umbenannt. Soll die Datei jetzt gespeichert werden?%2</translation>
     </message>
@@ -1129,227 +1131,228 @@
     <message>
         <location filename="../src/files-dock-widget.cc" line="+73"/>
         <source>File Browser</source>
-        <translation type="unfinished">Dateibrowser</translation>
+        <translation>Dateibrowser</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Browse your files</source>
-        <translation type="unfinished">Dateien durchsuchen</translation>
+        <translation>Dateien durchsuchen</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>File size</source>
-        <translation type="unfinished">Dateigröße</translation>
+        <translation>Dateigröße</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>File type</source>
-        <translation type="unfinished">Dateityp</translation>
+        <translation>Dateityp</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Date modified</source>
-        <translation type="unfinished">Änderungsdatum</translation>
+        <translation>Änderungsdatum</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Show hidden</source>
-        <translation type="unfinished">Verborgene Dateien anzeigen</translation>
+        <translation>Versteckte Dateien anzeigen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Alternating row colors</source>
-        <translation type="unfinished">Alternierende Farben für die Zeilen verwenden</translation>
+        <translation>Zeilen abwechselnd einfärben</translation>
     </message>
     <message>
         <location line="+25"/>
         <source>Enter the path or filename</source>
-        <translation type="unfinished">Pfad oder Dateinamen eingeben</translation>
+        <translation>Pfad oder Dateinamen eingeben</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>One directory up</source>
-        <translation type="unfinished">Ein Verzeichnis höher</translation>
+        <translation>Ein Verzeichnis höher</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Show Octave directory</source>
-        <translation type="unfinished">Aktuelles Octave Verzeichnis anzeigen</translation>
+        <translation>Aktuelles Octave Verzeichnis anzeigen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Go to current Octave directory</source>
-        <translation type="unfinished">Zum aktuellen Octave Verzeichnis gehen</translation>
+        <translation>Zum aktuellen Octave Verzeichnis gehen</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Set Octave directory</source>
-        <translation type="unfinished">Octave Verzeichnis setzen</translation>
+        <translation>Octave Verzeichnis setzen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Set Octave directory to current browser directory</source>
-        <translation type="unfinished">Setze Octave Verzeichnis zu aktuellem Browser Verzeichnis</translation>
+        <translation>Setze Octave Verzeichnis zu aktuellem Browser Verzeichnis</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Actions on current directory</source>
-        <translation type="unfinished">Aktionen mit aktuellem Verzeichnis</translation>
+        <translation>Aktionen mit aktuellem Verzeichnis</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show Home Directory</source>
-        <translation type="unfinished">Wechsle zum Heimatverzeichnis</translation>
+        <translation>Wechsle zum Heimatverzeichnis</translation>
     </message>
     <message>
         <location line="+12"/>
         <source>Set Browser Directory...</source>
-        <translation type="unfinished">Wechsle in Verzeichnis...</translation>
+        <translation>Wechsle in Verzeichnis...</translation>
     </message>
     <message>
         <location line="+4"/>
         <location line="+365"/>
         <source>Find Files...</source>
-        <translation type="unfinished"></translation>
+        <translation>Dateien suchen...</translation>
     </message>
     <message>
         <location line="-361"/>
         <location line="+374"/>
         <source>New File...</source>
-        <translation type="unfinished">Neue Datei...</translation>
+        <translation>Neue Datei...</translation>
     </message>
     <message>
         <location line="-371"/>
         <location line="+374"/>
         <source>New Directory...</source>
-        <translation type="unfinished">Neues Verzeichnis...</translation>
+        <translation>Neues Verzeichnis...</translation>
     </message>
     <message>
         <location line="-320"/>
         <source>Activate to open in editor, right click for alternatives</source>
-        <translation type="unfinished">Doppelklick zum Öffnen im Editor, Rechtsklick für mehr Optionen</translation>
+        <translation>Doppelklick zum Öffnen im Editor, Rechtsklick für mehr Optionen</translation>
     </message>
     <message>
         <location line="+273"/>
         <source>Open</source>
-        <translation type="unfinished">Öffnen</translation>
+        <translation>Öffnen</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Open in System File Explorer</source>
-        <translation type="unfinished">Im Dateimanager öffnen</translation>
+        <translation>Im Dateimanager öffnen</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Open in Text Editor</source>
-        <translation type="unfinished">Im Texteditor öffnen</translation>
+        <translation>Im Texteditor öffnen</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy Selection to Clipboard</source>
-        <translation type="unfinished">Kopiere Auswahl in die Zwischenablage</translation>
+        <translation>Auswahl in die Zwischenablage kopieren</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Run</source>
-        <translation type="unfinished">Ausführen</translation>
+        <translation>Ausführen</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Load Data</source>
-        <translation type="unfinished">Daten laden</translation>
+        <translation>Daten laden</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Set Current Directory</source>
-        <translation type="unfinished">Aktuelles Verzeichnis setzen</translation>
+        <translation>Aktuelles Verzeichnis setzen</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Rename...</source>
-        <translation type="unfinished">Umbenennen...</translation>
+        <translation>Umbenennen...</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Delete...</source>
-        <translation type="unfinished">Löschen...</translation>
+        <translation>Löschen...</translation>
     </message>
     <message>
         <location line="+118"/>
         <source>Rename file/directory</source>
-        <translation type="unfinished">Datei/Verzeichnis umbenennen</translation>
+        <translation>Datei/Verzeichnis umbenennen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Rename file/directory:
 </source>
-        <translation type="unfinished">Datei/Verzeichnis umbenennen:</translation>
+        <translation>Datei/Verzeichnis umbenennen:
+</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>
  to: </source>
-        <translation type="unfinished">
-zu: </translation>
+        <translation>
+ in: </translation>
     </message>
     <message>
         <location line="+30"/>
         <location line="+14"/>
         <source>Delete file/directory</source>
-        <translation type="unfinished">Datei/Verzeichnis löschen</translation>
+        <translation>Datei/Verzeichnis löschen</translation>
     </message>
     <message>
         <location line="-13"/>
         <source>Are you sure you want to delete
 </source>
-        <translation type="unfinished">Folgende/s Datei/Verzeichnis wirklich löschen
+        <translation>Folgende/s Datei/Verzeichnis wirklich löschen
 </translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Can not delete a directory that is not empty</source>
-        <translation type="unfinished">Verzeichnis ist nicht leer und kann daher nicht gelöscht werden</translation>
+        <translation>Verzeichnis ist nicht leer und kann daher nicht gelöscht werden</translation>
     </message>
     <message>
         <location line="+145"/>
         <source>Set directory of file browser</source>
-        <translation type="unfinished">Setze aktuelles Browser Verzeichnis</translation>
+        <translation>Datei-Browser Verzeichnis setzen</translation>
     </message>
     <message>
         <location line="+26"/>
         <source>Create File</source>
-        <translation type="unfinished">Neue Datei</translation>
+        <translation>Neue Datei</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Create file in
 </source>
         <comment>String ends with \n!</comment>
-        <translation type="unfinished">Neue Datei in
+        <translation>Neue Datei in
 </translation>
     </message>
     <message>
         <location line="+1"/>
         <source>New File.txt</source>
-        <translation type="unfinished">Neue Datei.txt</translation>
+        <translation>Neue Datei.txt</translation>
     </message>
     <message>
         <location line="+15"/>
         <source>Create Directory</source>
-        <translation type="unfinished">Neues Verzeichnis</translation>
+        <translation>Neues Verzeichnis</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Create folder in
 </source>
         <comment>String ends with \n!</comment>
-        <translation type="unfinished">Neues Verzeichnis in
+        <translation>Neues Verzeichnis in
 </translation>
     </message>
     <message>
         <location line="+1"/>
         <source>New Directory</source>
-        <translation type="unfinished">Neues Verzeichnis</translation>
+        <translation>Neues Verzeichnis</translation>
     </message>
 </context>
 <context>
@@ -1357,22 +1360,22 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="+274"/>
         <source>Enjoy!</source>
-        <translation type="unfinished">Viel Spaß!</translation>
+        <translation>Viel Spaß!</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Previous</source>
-        <translation type="unfinished">Zurück</translation>
+        <translation>Zurück</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Finish</source>
-        <translation type="unfinished">Beenden</translation>
+        <translation>Beenden</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cancel</source>
-        <translation type="unfinished">Abbrechen</translation>
+        <translation>Abbrechen</translation>
     </message>
     <message>
         <location line="+7"/>
@@ -1381,10 +1384,10 @@
 &lt;p&gt;If you encounter problems, there are a number of ways to get help, including commercial support options, a mailing list, a wiki, and other community-based support channels.
 You can find more information about each of these by visiting &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (opens in external browser).&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;body&gt;
-&lt;p&gt;Wir hoffen, dass Du Octave nützlich findest.&lt;/p&gt;
-&lt;p&gt;Wenn Du auf Probleme stoßen solltest, gibt es eine Reihe von Wegen, um Hilfe zu bekommen. Neben der Option kommerziellen Support zu erhalten, gibt es noch eine Mailingliste, ein Wiki und andere Community Support Channels.
-Mehr über jede Möglichkeit findest Du im Internet unter &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (Wird im externen Browser geöffnet).&lt;/p&gt;
+        <translation>&lt;html&gt;&lt;body&gt;
+&lt;p&gt;Wir hoffen, Sie halten Octave für ein nützliches Werkzeug.&lt;/p&gt;
+&lt;p&gt;Wenn Sie auf Probleme stoßen sollten, können Sie auf verschiedene Arten Hilfe bekommen. Neben der Option kommerziellen Support zu erhalten, gibt es noch eine Mailingliste, ein Wiki und andere Community-Support-Channels (auf Englisch).
+Mehr über jede Möglichkeit finden Sie im Internet unter &lt;a href=&quot;https://octave.org/support.html&quot;&gt;https://octave.org/support.html&lt;/a&gt; (Wird im externen Browser geöffnet).&lt;/p&gt;
 &lt;/body&gt;&lt;/html&gt;</translation>
     </message>
     <message>
@@ -1401,16 +1404,16 @@
 &lt;li&gt;Open the documentation browser of the Octave GUI with the help menu&lt;/li&gt;
 &lt;/ul&gt;
 &lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished">&lt;html&gt;&lt;head&gt;
+        <translation>&lt;html&gt;&lt;head&gt;
 &lt;style&gt;
 a:link { text-decoration: underline; color: #0000ff; }
 &lt;/style&gt;
 &lt;head/&gt;&lt;body&gt;
-&lt;p&gt;Für weitere Informationen über Octave:&lt;/p&gt;
+&lt;p&gt;Für weitere Informationen über Octave (auf Englisch):&lt;/p&gt;
 &lt;ul&gt;
-&lt;li&gt;&lt;a href=&quot;https://octave.org&quot;&gt;https://octave.org&lt;/a&gt; (Öffnet im externen Browser)&lt;/li&gt;
-&lt;li&gt;Online Dokumentation &lt;a href=&quot;https://www.gnu.org/software/octave/doc/interpreter/index.html&quot;&gt;html&lt;/a&gt;- oder &lt;a href=&quot;https://www.gnu.org/software/octave/octave.pdf&quot;&gt;PDF&lt;/span&gt;&lt;/a&gt;-Dokument (Öffnet im externen Browser)&lt;/li&gt;
-&lt;li&gt;Benutze den Dokumentations-Browser von Octave GUI im Hilfe-Menü&lt;/li&gt;
+&lt;li&gt;Webseite: &lt;a href=&quot;https://octave.org&quot;&gt;https://octave.org&lt;/a&gt; (Öffnet im externen Browser)&lt;/li&gt;
+&lt;li&gt;Online-Dokumentation als &lt;a href=&quot;https://www.gnu.org/software/octave/doc/interpreter/index.html&quot;&gt;HTML&lt;/a&gt;- oder als &lt;a href=&quot;https://www.gnu.org/software/octave/octave.pdf&quot;&gt;PDF&lt;/span&gt;&lt;/a&gt;-Dokument (Öffnet im externen Browser)&lt;/li&gt;
+&lt;li&gt;Dokumentations-Browser im Hilfe-Menü der Octave GUI&lt;/li&gt;
 &lt;/ul&gt;
 &lt;/body&gt;&lt;/html&gt;</translation>
     </message>
@@ -1420,107 +1423,107 @@
     <message>
         <location filename="../src/m-editor/find-dialog.cc" line="+87"/>
         <source>Find and Replace</source>
-        <translation type="unfinished">Suchen und Ersetzen</translation>
+        <translation>Suchen und Ersetzen</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Find &amp;what:</source>
-        <translation type="unfinished">&amp;Suche:</translation>
+        <translation>&amp;Suchen nach:</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Re&amp;place with:</source>
-        <translation type="unfinished">&amp;Ersetze durch:</translation>
+        <translation>&amp;Ersetzen durch:</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Match &amp;case</source>
-        <translation type="unfinished">&amp;Groß-/Kleinschreibung beachten</translation>
+        <translation>&amp;Groß-/Kleinschreibung beachten</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search from &amp;start</source>
-        <translation type="unfinished">Suche vom &amp;Beginn</translation>
+        <translation>Suche vom &amp;Beginn</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Wrap while searching</source>
-        <translation type="unfinished">&amp;Umbruch beim Suchen</translation>
+        <translation>&amp;Umbruch beim Suchen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;Find Next</source>
-        <translation type="unfinished">&amp;Nächsten suchen</translation>
+        <translation>&amp;Nächsten suchen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Find &amp;Previous</source>
-        <translation type="unfinished">&amp;Vorherigen suchen</translation>
+        <translation>&amp;Vorherigen suchen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>&amp;Replace</source>
-        <translation type="unfinished">&amp;Ersetze</translation>
+        <translation>&amp;Ersetzen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Replace &amp;All</source>
-        <translation type="unfinished">Ersetze &amp;alle</translation>
+        <translation>&amp;Alle ersetzen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>&amp;More...</source>
-        <translation type="unfinished">&amp;Mehr...</translation>
+        <translation>&amp;Mehr...</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>&amp;Whole words</source>
-        <translation type="unfinished">&amp;Ganze Wörter</translation>
+        <translation>&amp;Ganze Wörter</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Regular E&amp;xpressions</source>
-        <translation type="unfinished">&amp;Reguläre Ausdrücke</translation>
+        <translation>&amp;Reguläre Ausdrücke</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search &amp;backward</source>
-        <translation type="unfinished">Rück&amp;wärts suchen</translation>
+        <translation>Rück&amp;wärts suchen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Search se&amp;lection</source>
-        <translation type="unfinished">In Auswah&amp;l suchen</translation>
+        <translation>In Auswah&amp;l suchen</translation>
     </message>
     <message>
         <location line="+86"/>
         <source>Search from end</source>
-        <translation type="unfinished">Vom Ende suchen</translation>
+        <translation>Vom Ende suchen</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Search from start</source>
-        <translation type="unfinished">Suche vom Beginn</translation>
+        <translation>Vom Beginn suchen</translation>
     </message>
     <message>
         <location line="+209"/>
         <source>Replace Result</source>
-        <translation type="unfinished">Ergebnis der Ersetzungen</translation>
+        <translation>Ergebnis der Ersetzungen</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>%1 items replaced</source>
-        <translation type="unfinished">%1 Vorkommnisse ersetzt</translation>
+        <translation>%1 Vorkommnisse ersetzt</translation>
     </message>
     <message>
         <location line="+14"/>
         <source>Find Result</source>
-        <translation type="unfinished">Suchergebnis</translation>
+        <translation>Suchergebnis</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>No more matches found</source>
-        <translation type="unfinished">Keine weiteren Vorkommnisse gefunden</translation>
+        <translation>Keine weiteren Vorkommnisse gefunden</translation>
     </message>
 </context>
 <context>
